Alokai

SapccApiGetComponentByIdRequest

Request parameters for getComponentById operation in SapccApi. SapccApiGetComponentByIdRequest

interface SapccApiGetComponentByIdRequest {
	readonly baseSiteId: string;
	readonly catalogCode?: string;
	readonly categoryCode?: string;
	readonly componentId: string;
	readonly fields?: GetComponentByIdFieldsEnum;
	readonly productCode?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetComponentById
catalogCodeOptionalstringCatalog code {string} SapccApiGetComponentById
categoryCodeOptionalstringCategory code {string} SapccApiGetComponentById
componentIdRequiredstringComponent identifier {string} SapccApiGetComponentById
fieldsOptionalGetComponentByIdFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetComponentById
productCodeOptionalstringProduct code {string} SapccApiGetComponentById

Referenced Types

On this page